;-- modified 5/27/96 ----------------------------------
; When I first created ZIPCOPY it was simply to illustrate how
; the ZIPDRIVE might be used to protect those under development
; projects. The addition ot the date calculations was a great addition, 
; however, being lazy I did not like the hardcoding of the external batch
; file in n-zip.bat. (contained in ZIPCOPY.FIX).

; This version reads the directory that the script is played from
; and builds the zipdrive parameters based on that directory
; This approach requires no modifcations, other than modifying this
; script initially to indicate where the zipdrive is located.

;----------------- HOW TO MAKE IT WORK -----------------------------
;   1) PLACE THE SCRIPT IN TO THE DIRECTORY YOU ARE WORKING IN
;   2) CORRECT THE ZIPDRIVE="H" STATEMENT TO REFLECT YOUR ZIPDRIVE
;   3) PLAY THE SCRIPT
;-------------------------------------------------------------------
 
zipdrive="H"     ;change the letter to be correct for your drive

SWITCH
    CASE NOT DRIVESTATUS(zipdrive):   
        @22,25 CLEAR EOL
        STYLE REVERSE
        @22,25 ??"DRIVE NOT READY..."
        SLEEP 3000
        CLEARALL
        @0,0 CLEAR EOL
        RETURN
    OTHERWISE:
        @22,25 CLEAR EOL
        STYLE REVERSE
        @22,25 ??"Insert ZIP backup diskette..."
            t_month=iif(
               month(today())<10,
               FORMAT("w2,ar","0"+strval(month(today()))),
               FORMAT("w2,ar",strval(month(today())))
               )                          ;build month number
            t_day=iif(
               day(today())<10,
               FORMAT("w2,ar","0"+strval(day(today()))),
               FORMAT("w2,ar",strval(day(today())))
               )                          ;build day number
            t_year=FORMAT("w4,ar",strval(year(TODAY())))
                                          ;year
;----------------- Added create DOS line based on current Directory------
;--- the date routines are elegant and have been left as is -------------

        cmd="xcopy32 "+directory()+" "+ zipdrive+": "+"/s /y /d:"+t_month+"/"+t_day+"/"+t_year
        run cmd
;--------------------- end modifications --------------------------------
        RESET
        CLEARALL
ENDSWITCH